<?php

// Exit if accessed directly
if (!defined('ABSPATH')) {
	exit;
}

/**
 * Settings Page Emails Tab
 *
 * The code for the plugins settings page emails tab
 *
 * @package Follow My Blog Post
 * @since 1.0.0
 */

?>
<!-- beginning of the emails settings meta box -->
<div id="wpw-fp-emails" class="post-box-container">
	<div class="metabox-holder">
		<div class="meta-box-sortables ui-sortable">
			<div id="emails" class="postbox">
				<div class="handlediv" title="<?php esc_html_e('Click to toggle', 'wpwfp');?>"><br /></div>

					<!-- emails settings box title -->
					<h3 class="hndle">
						<span class='wps_fmbp_common_vertical_align'><?php esc_html_e('Emails Settings', 'wpwfp');?></span>
					</h3>

					<div class="inside">

						<table class="form-table">
							<tbody>

								<tr>
									<td colspan="2">
										<?php echo apply_filters('wpweb_fb_settings_submit_button', '<input class="button-primary wpw-fp-save-btn" type="submit" name="wpw-fp-set-submit" value="' . esc_html__('Save Changes', 'wpwfp') . '" />'); ?>
									</td>
								</tr>

								<?php
								// do action for add setting before emails settings
								do_action('wpw_fp_before_emails_setting', $wpw_fp_options);
								?>

								<tr valign="top">
									<th scope="row"><label for="wpw_fp_options[email_template]"><?php esc_html_e('Email Template', 'wpwfp');?></label></th>
									<td>
										<select id="wpw_fp_options[email_template]" name="wpw_fp_options[email_template]" class="wpw-fp-email-template chosen-select">
											<?php
											$email_templates = $model->wpw_fp_email_get_templates();
											foreach ($email_templates as $key => $option) { ?>
													<option value="<?php echo $key; ?>" <?php selected(isset($wpw_fp_options['email_template']) ? $wpw_fp_options['email_template'] : '', $key);?>>
														<?php echo $option;?>
													</option><?php 
												} ?>
										</select><br />
										<span class="description"><?php echo esc_html__('Choose a template and Choose', 'wpwfp') . ' "' . esc_html__('Preview Test Email', 'wpwfp') . '" ' . esc_html__('to see the email template.', 'wpwfp'); ?></span>
									</td>
								</tr>

								<tr valign="top">
									<th scope="row"></th>
									<td>
										<a class="button wpw-fp-preview-follow-email" href="#wpw_fp_preview_follow_email" rel="wpw_fp_preview_follow_email"><?php esc_html_e('Preview Test Email', 'wpwfp');?></a>
										<a class="button wpw-fp-send-test-email" href="javascript:void(0);"><?php esc_html_e('Send Test Email', 'wpwfp');?></a>
										<img class="wpw-fp-loader" src="<?php echo esc_url(WPW_FP_IMG_URL); ?>/loader.gif" alt="<?php esc_html_e('Loading...', 'wpwfp')?>" />
										<span class="wpw-fp-send-email-msg"></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[from_email]"><?php esc_html_e('From Email Address', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[from_email]" name="wpw_fp_options[from_email]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['from_email']); ?>" class="large-text" /><br />
										<span class="description"><?php echo esc_html__('Example: Your Name &lt;sales@your-domain.com&gt;. These are the name and email address used as a from to followers emails. The email address is also being used as the', 'wpwfp') . ' "' . esc_html__('Reply To', 'wpwfp') . '" ' . esc_html__('email address when users send an email back.', 'wpwfp'); ?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[enable_unsubscribe_url]"><?php esc_html_e('Add Unsubscribe link to email Message', 'wpwfp');?></label>
									</th>
									<td>
										<input type="checkbox" id="wpw_fp_options[enable_unsubscribe_url]" name="wpw_fp_options[enable_unsubscribe_url]" value="1" <?php checked('1', isset($wpw_fp_options['enable_unsubscribe_url']) ? $wpw_fp_options['enable_unsubscribe_url'] : '')?>/><br />
										<span class="description"><?php esc_html_e('When checked, Unsubscribe link with below custom message will be added to each subscription email Message.', 'wpwfp');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[unsubscribe_message]"><?php esc_html_e('Unsubscribe Message', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[unsubscribe_message]" name="wpw_fp_options[unsubscribe_message]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['unsubscribe_message']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__('Enter the custom Unsubscribe Message. Available template tags for unsubscribe message are : %s - displays the unsubscribe url for unsubscribe email', 'wpwfp'), '<br/><code>{unsubscribe_url}</code>');?></span>
									</td>
								</tr>

								<!-- Post / Page Subscription Email Template Start -->
								<tr>
									<th colspan="2">
										<h3><?php esc_html_e('Edit Post Subscription Email Template', 'wpwfp');?></h3>
									</th>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[email_subject]"><?php esc_html_e('Email Subject', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[email_subject]" name="wpw_fp_options[email_subject]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['email_subject']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__('This is the subject of the email that will be sent to the followers of that post when post is updated. Available template tags for subject fields are : %s - displays the title of the post %s - displays the name of your site %s', 'wpwfp'), '<br/><code>{post_name}</code>', '<br /><code>{site_name}</code>', '<br />');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options_email_body"><?php esc_html_e('Email Body', 'wpwfp');?></label>
									</th>
									<td>
										<?php
										$settings = array('textarea_name' => 'wpw_fp_options[email_body]', 'teeny' => true);
										wp_editor($wpw_fp_options['email_body'], 'wpw_fp_options_email_body', $settings);

										$email_desc = apply_filters('wpw_fp_email_template_setting_message', 'This is the body, main content of the email that will be sent to the followers of that post when post is updated. The available tags are: <br />
											<code>{post_name}</code> - displays the title of the post<br />
											<code>{post_link}</code> - displays the post title with link<br />
											<code>{site_name}</code> - displays the name of your site<br />
											<code>{site_link}</code> - displays the site name with link', 'edit_post_subscription');
											?>
										<span class="description"><?php echo $email_desc; ?></span>
									</td>
								</tr>

								<?php
								// do action for add setting after email body
								do_action('wpw_fp_after_email_body', $wpw_fp_options);
								?><!-- Post / Page Subscription Email Template End -->

								<!-- Category / Tags Subscription Email Template Start -->
								<tr>
									<th colspan="2">
										<h3><?php esc_html_e('New Post Term Subscription Email Template', 'wpwfp');?></h3>
									</th>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[term_email_subject]"><?php esc_html_e('Email Subject', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[term_email_subject]" name="wpw_fp_options[term_email_subject]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['term_email_subject']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__('This is the subject of the email that will be sent to the followers of the selected terms when new post published. Available template tags for subject fields are : %s - displays the title of the post %s - displays the name of your site', 'wpwfp'), '<br/><code>{post_name}</code>', '<br /><code>{site_name}</code>');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options_term_email_body"><?php esc_html_e('Email Body', 'wpwfp');?></label>
									</th>
									<td>
										<?php
										$settings = array('textarea_name' => 'wpw_fp_options[term_email_body]', 'teeny' => true);
										wp_editor($wpw_fp_options['term_email_body'], 'wpw_fp_options_term_email_body', $settings);

										$term_email_desc = apply_filters('wpw_fp_email_template_setting_message', esc_html__('This is the body, main content of the email that will be sent to the followers of the selected terms when new post published. The available tags are:', 'wpwfp')
											. '<br /><code>{post_name}</code> - ' . esc_html__('displays the title of the post', 'wpwfp') .
											'<br /><code>{post_description}</code> - ' . esc_html__('displays the description of the post', 'wpwfp') .
											'<br /><code>{post_link}</code> - ' . esc_html__('displays the post title with link', 'wpwfp') .
											'<br /><code>{term_name}</code> - ' . esc_html__('displays the title of the term', 'wpwfp') .
											'<br /><code>{taxonomy_name}</code> - ' . esc_html__('displays the title of the taxonomy', 'wpwfp') .
											'<br /><code>{site_name}</code> - ' . esc_html__('displays the name of your site', 'wpwfp') .
											'<br /><code>{site_link}</code> - ' . esc_html__('displays the site name with link', 'wpwfp'), 'new_post_term');
										?>
										<span class="description"><?php echo $term_email_desc; ?></span>
									</td>
								</tr>

								<?php
								// do action for add setting after term email body
								do_action('wpw_fp_after_term_email_body', $wpw_fp_options);
								?>
								<!-- Category / Tags Subscription Email Template End -->

								<!-- Author Subscription Email Template Start -->
								<tr>
									<th colspan="2">
										<h3><?php esc_html_e('New Post Author Subscription Email Template', 'wpwfp');?></h3>
									</th>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[author_email_subject]"><?php esc_html_e('Email Subject', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[author_email_subject]" name="wpw_fp_options[author_email_subject]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['author_email_subject']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__('This is the subject of the email that will be sent to the all followers of the author of that new post when new post published. Available template tags for subject fields are : %s - displays the title of the post %s - displays the name of your site', 'wpwfp'), '<br/><code>{post_name}</code>', '<br /><code>{site_name}</code>');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options_author_email_body"><?php esc_html_e('Email Body', 'wpwfp');?></label>
									</th>
									<td>
										<?php
										$settings = array('textarea_name' => 'wpw_fp_options[author_email_body]', 'teeny' => true);
										wp_editor($wpw_fp_options['author_email_body'], 'wpw_fp_options_author_email_body', $settings);

										$author_email_desc = apply_filters('wpw_fp_email_template_setting_message', esc_html__('This is the body, main content of the email that will be sent to the all followers of the author of that new post when new post published. The available tags are:', 'wpwfp')
											. '<br /><code>{post_name}</code> - ' . esc_html__('displays the title of the post', 'wpwfp') .
											'<br /><code>{post_description}</code> - ' . esc_html__('displays the description of the post', 'wpwfp') .
											'<br /><code>{post_link}</code> - ' . esc_html__('displays the post title with link', 'wpwfp') .
											'<br /><code>{author_name}</code> - ' . esc_html__('displays the name of the author', 'wpwfp') .
											'<br /><code>{site_name}</code> - ' . esc_html__('displays the name of your site', 'wpwfp') .
											'<br /><code>{site_link}</code> - ' . esc_html__('displays the site name with link', 'wpwfp'), 'new_post_author');
										?>
										<span class="description"><?php echo $author_email_desc; ?></span>
									</td>
								</tr>

								<?php
								// do action for add setting after author email body
								do_action('wpw_fp_after_author_email_body', $wpw_fp_options);
								?>
								<!-- Author Subscription Email Template End -->

								<!-- Comment Subscription Email Template Start -->
								<tr>
									<th colspan="2">
										<h3><?php esc_html_e('Comment Subscription Email Template', 'wpwfp');?></h3>
									</th>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[comment_email_subject]"><?php esc_html_e('Email Subject', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[comment_email_subject]" name="wpw_fp_options[comment_email_subject]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['comment_email_subject']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__('This is the subject of the email that will be sent to the followers when comment is added and get approved. Available template tags for subject fields are : %s - displays the title of the post %s - displays the user name', 'wpwfp'), '<br/><code>{post_name}</code>', '<br /><code>{user_name}</code>');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options_comment_email_body"><?php esc_html_e('Email Body', 'wpwfp');?></label>
									</th>
									<td>
										<?php
										$settings = array('textarea_name' => 'wpw_fp_options[comment_email_body]', 'teeny' => true);
										wp_editor($wpw_fp_options['comment_email_body'], 'wpw_fp_options_comment_email_body', $settings);

										$comment_email_desc = esc_html__('This is the body, main content of the email that will be sent to the followers when comment is added and get approved. The available tags are:', 'wpwfp') .
										'<br /><code>{post_name}</code> - ' . esc_html__('displays the title of the post', 'wpwfp') .
										'<br /><code>{site_name}</code> - ' . esc_html__('displays the name of your site', 'wpwfp') .
										'<br /><code>{user_name}</code> - ' . esc_html__('displays the user name', 'wpwfp') .
										'<br /><code>{comment_text}</code> - ' . esc_html__('displays the comment text of the post', 'wpwfp');
										?>
										<span class="description"><?php echo $comment_email_desc; ?></span>
									</td>
								</tr>

								<?php
								// do action for add setting after author email body
								do_action('wpw_fp_after_comment_email_body', $wpw_fp_options);
								?>
								<!-- Comment Subscription Email Template End -->

								<!-- Posts Confirmation Email Template Start -->
								<tr>
									<th colspan="2">
										<h3><?php esc_html_e('Posts Confirmation Email Template', 'wpwfp');?></h3>
									</th>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[confirm_email_subject]"><?php esc_html_e('Email Subject', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[confirm_email_subject]" name="wpw_fp_options[confirm_email_subject]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['confirm_email_subject']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__('This is the subject of the email that will be sent to the user for confirming his email address for subscription for post / page. Available template tags for subject fields are : %s - displays the title of the post %s - displays the name of your site', 'wpwfp'), '<br /><code>{post_name}</code>', '<br /><code>{site_name}</code>');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options_confirm_email_body"><?php esc_html_e('Email Body', 'wpwfp');?></label>
									</th>
									<td>
										<?php
										$settings = array('textarea_name' => 'wpw_fp_options[confirm_email_body]', 'teeny' => true);
										wp_editor($wpw_fp_options['confirm_email_body'], 'wpw_fp_options_confirm_email_body', $settings);

										$confirm_email_desc = esc_html__('This is the body, main content of the email that will be sent to the user for confirming his email address for subscription for post / page. The available tags are:', 'wpwfp') .
										'<br /><code>{post_name}</code> - ' . esc_html__('displays the title of the post', 'wpwfp') .
										'<br /><code>{post_link}</code> - ' . esc_html__('displays the post title with link', 'wpwfp') .
										'<br /><code>{site_name}</code> - ' . esc_html__('displays the name of your site', 'wpwfp') .
										'<br /><code>{site_link}</code> - ' . esc_html__('displays the site name with link', 'wpwfp') .
										'<br /><code>{subscribe_url}</code> - ' . esc_html__('displays the subscribe url for confirm email subscription.', 'wpwfp');
										?>
										<span class="description"><?php echo $confirm_email_desc; ?></span>
									</td>
								</tr>
								<!-- Posts Confirmation Email Template End -->

								<!-- Terms Confirmation Email Template Start -->
								<tr>
									<th colspan="2">
										<h3><?php esc_html_e('Terms Confirmation Email Template', 'wpwfp');?></h3>
									</th>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[term_confirm_email_subject]"><?php esc_html_e('Email Subject', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[term_confirm_email_subject]" name="wpw_fp_options[term_confirm_email_subject]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['term_confirm_email_subject']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__('This is the subject of the email that will be sent to the user for confirming his email address for subscription of any terms. Available template tags for subject fields are : %s - displays the title of the term %s - displays the name of your site', 'wpwfp'), '<br /><code>{term_name}</code>', '<br /><code>{site_name}</code>');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options_term_confirm_email_body"><?php esc_html_e('Email Body', 'wpwfp');?></label>
									</th>
									<td>
										<?php
										$settings = array('textarea_name' => 'wpw_fp_options[term_confirm_email_body]', 'teeny' => true);
										wp_editor($wpw_fp_options['term_confirm_email_body'], 'wpw_fp_options_term_confirm_email_body', $settings);

										$term_confirm_email_desc = esc_html__('This is the body, main content of the email that will be sent to the user for confirming his email address for subscription of any terms. The available tags are:', 'wpwfp') .
										'<br /><code>{term_name}</code> - ' . esc_html__('displays the title of the term', 'wpwfp') .
										'<br /><code>{taxonomy_name}</code> - ' . esc_html__('displays the title of the taxonomy', 'wpwfp') .
										'<br /><code>{site_name}</code> - ' . esc_html__('displays the name of your site', 'wpwfp') .
										'<br /><code>{site_link}</code> - ' . esc_html__('displays the site name with link', 'wpwfp') .
										'<br /><code>{subscribe_url}</code> - ' . esc_html__('displays the subscribe url for confirm email subscription.', 'wpwfp');
										?>
										<span class="description"><?php echo $term_confirm_email_desc; ?></span>
									</td>
								</tr>
								<!-- Terms Confirmation Email Template End -->

								<!-- Authors Confirmation Email Template Start -->
								<tr>
									<th colspan="2">
										<h3><?php esc_html_e('Authors Confirmation Email Template', 'wpwfp');?></h3>
									</th>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[author_confirm_email_subject]"><?php esc_html_e('Email Subject', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[author_confirm_email_subject]" name="wpw_fp_options[author_confirm_email_subject]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['author_confirm_email_subject']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__('This is the subject of the email that will be sent to the user for confirming his email address for subscription of any authors. Available template tags for subject fields are : %s - displays the name of author %s - displays the name of your site', 'wpwfp'), '<br /><code>{author_name}</code>', '<br /><code>{site_name}</code>');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options_author_confirm_email_body"><?php esc_html_e('Email Body', 'wpwfp');?></label>
									</th>
									<td>
										<?php
										$settings = array('textarea_name' => 'wpw_fp_options[author_confirm_email_body]', 'teeny' => true);
										wp_editor($wpw_fp_options['author_confirm_email_body'], 'wpw_fp_options_author_confirm_email_body', $settings);

										$author_confirm_email_desc = esc_html__('This is the body, main content of the email that will be sent to the user for confirming his email address for subscription of any authors. The available tags are:', 'wpwfp') .
										'<br /><code>{author_name}</code> - ' . esc_html__('displays the name of the author', 'wpwfp') .
										'<br /><code>{site_name}</code> - ' . esc_html__('displays the name of your site', 'wpwfp') .
										'<br /><code>{site_link}</code> - ' . esc_html__('displays the site name with link', 'wpwfp') .
										'<br /><code>{subscribe_url}</code> - ' . esc_html__('displays the subscribe url for confirm email subscription.', 'wpwfp');
										?>
										<span class="description"><?php echo $author_confirm_email_desc; ?></span>
									</td>
								</tr>
								<!-- Authors Confirmation Email Template End -->

								<!-- Unsubscribe Confirmation Email Template Start -->
								<tr>
									<th colspan="2">
										<h3><?php esc_html_e('Unsubscribe Confirmation Email Template', 'wpwfp');?></h3>
									</th>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options[unsubscribe_confirm_email_subject]"><?php esc_html_e('Email Subject', 'wpwfp');?></label>
									</th>
									<td>
										<input type="text" id="wpw_fp_options[unsubscribe_confirm_email_subject]" name="wpw_fp_options[unsubscribe_confirm_email_subject]" value="<?php echo $wpw_fp_model->wpw_fp_escape_attr($wpw_fp_options['unsubscribe_confirm_email_subject']); ?>" class="large-text" /><br />
										<span class="description"><?php printf(esc_html__("This is the subject of the email that will be sent to the user for confirming his email address for unsubscription. Available template tags for subject fields are : %s - displays the follower's email %s - displays the name of your site", 'wpwfp'), '<br /><code>{email}</code>', '<br /><code>{site_name}</code>');?></span>
									</td>
								</tr>

								<tr>
									<th scope="row">
										<label for="wpw_fp_options_unsubscribe_confirm_email_body"><?php esc_html_e('Email Body', 'wpwfp');?></label>
									</th>
									<td>
										<?php
										$settings = array('textarea_name' => 'wpw_fp_options[unsubscribe_confirm_email_body]', 'teeny' => true);
										wp_editor($wpw_fp_options['unsubscribe_confirm_email_body'], 'wpw_fp_options_unsubscribe_confirm_email_body', $settings);

										$unsubscribe_confirm_email_desc = esc_html__('This is the body, main content of the email that will be sent to the user for confirming his email address for unsubscription. The available tags are:', 'wpwfp') .
										'<br /><code>{email}</code> - ' . esc_html__("displays the follower's email", 'wpwfp') .
										'<br /><code>{site_name}</code> - ' . esc_html__('displays the name of your site', 'wpwfp') .
										'<br /><code>{site_link}</code> - ' . esc_html__('displays the site name with link', 'wpwfp') .
										'<br /><code>{confirm_url}</code> - ' . esc_html__('displays the confirm url for confirm email unsubscription.', 'wpwfp');
										?>
										<span class="description"><?php echo $unsubscribe_confirm_email_desc; ?></span>
									</td>
								</tr>
								<!-- Unsubscribe Confirmation Email Template End -->

								<?php
								// do action for add setting after emails settings
								do_action('wpw_fp_after_emails_setting', $wpw_fp_options);
								?>

								<tr>
									<td colspan="2">
										<?php
										echo apply_filters('wpweb_fb_settings_submit_button', '<input class="button-primary wpw-fp-save-btn" type="submit" name="wpw-fp-set-submit" value="' . esc_html__('Save Changes', 'wpwfp') . '" />');
										?>
									</td>
								</tr>
							</tbody>
						</table>

				</div><!-- .inside -->
			</div><!-- #emails -->
		</div><!-- .meta-box-sortables ui-sortable -->
	</div><!-- .metabox-holder -->
</div><!-- #wpw-fp-emails -->