"use strict";

function wpw_fp_popup_indivisual( id, other_type ) {
	
	jQuery('.wpw_fp_indivisual_entries_data').hide();
	jQuery('.wpw_fp_overlay').show();
	
	if( other_type != '' ) {
		
		other_type = other_type + '_'
	}
	
	jQuery('#fp_indivisual_data_'+other_type+id).show();
	wpw_fp_indivisual_entries_done(id,other_type);
    
    // To hide/show check all/uncheck all when popup open
    var wpw_check_all = false;        
    jQuery("#fp_indivisual_data_"+other_type+id+" input[type='checkbox']").each( function() {               
        if( jQuery(this).is(":checked") ) {             
           wpw_check_all = true;
        } else {
            wpw_check_all = false;
            return false;
        }
    });    
    if( wpw_check_all ) {        
        jQuery( '.wpw_fp_checkall_entries' ).hide();
        jQuery( '.wpw_fp_uncheckall_entries' ).show();
    } else {
        jQuery( '.wpw_fp_checkall_entries' ).show();
        jQuery( '.wpw_fp_uncheckall_entries' ).hide();
    }
}

function wpw_fp_indivisual_entries_done(id,other_type) {
	
	jQuery( document ).on( "click", "#wpw_fp_set_submit_indivisual", function() {
		
		var i=0;
		jQuery('#fp_indivisual_data_'+other_type+id+' input').each(function() {
			
			if(jQuery(this).is(':checked')) {
				i++;
			}
		});
		jQuery('#wpw_fp_selected_indivisual_'+other_type+id).text('( '+i+' ) selected');
		
		jQuery('.wpw_fp_indivisual_entries_data').hide();
		jQuery('.wpw_fp_overlay').hide();
		
		return false;   
	});
}

/**
 * Function to check/uncheck all checkbox
 */
function wpw_fp_toggle_check_uncheck_all(id,other_type,status){
    
    if( status == '1') { // check all
        
        jQuery('.wpw_fp_checkall_entries').hide();
        jQuery('.wpw_fp_uncheckall_entries').show();
        
        if( other_type != '' ) {

            other_type = other_type + '_'
        }
        jQuery('#fp_indivisual_data_'+other_type+id+' input').each( function() {

            jQuery(this).attr('checked',true);                
        });
    } else { // uncheck all
        
        jQuery('.wpw_fp_checkall_entries').show();
        jQuery('.wpw_fp_uncheckall_entries').hide();
        
        if( other_type != '' ) {

            other_type = other_type + '_'
        }

        jQuery('#fp_indivisual_data_'+other_type+id+' input').each( function() {

            jQuery(this).attr('checked',false);                
        });
    }
}

function wpw_fp_chosen_select(){
	
	jQuery(".chosen-select").each(function (){
		
		jQuery(this).chosen({search_contains:true});
	});
	jQuery(".wpw-fp-form select").each(function (){
		
		jQuery(this).chosen({search_contains:true});
	});
}

jQuery(document).ready(function($) {
	
    //code for plugin settings tabs
	$("#wpw_fp_author_nm").chosen();
	jQuery('select#wpw_fp_author_nm').ajaxChosen({
	    method: 		'GET',
	    url: 			ajaxurl,
	    dataType: 		'json',
	    minTermLength: 	1,
	    data: {
	    	action: 'wpw_fp_search_authors'
	    }
	}, function (data) {

		var terms = {};

	    jQuery.each(data, function (i, val) {
	        terms[i] = val;
	    });

	    return terms;
	});

	//  When recipient per email set to 1 show Disable Unsubscribe Confirmation settings
	$(document).on( "keyup", "input.recipient_per_email", function() {

		if($(this).val() == 1) {
			$('tr.unsubscribe-confirmation-link').show();
			if($('input.unsubscribe_confirmation').is(':checked')){
				$("input.is_individual_unsubscribe").attr('checked',false);
				$('tr.individual-unsubscribe').show();
			}
		} else {
			$("input.unsubscribe_confirmation").attr('checked',false);
			$('tr.unsubscribe-confirmation-link').hide();
			$('tr.individual-unsubscribe').hide();
		}
	});
	
	$(document).on('change', 'tr.unsubscribe-confirmation-link', function(){
		if($('tr.unsubscribe-confirmation-link').is(':visible')){
			if($('input.unsubscribe_confirmation').is(':checked')){
				$("input.is_individual_unsubscribe").attr('checked',false);
				$('tr.individual-unsubscribe').show();
			} else {
				$('tr.individual-unsubscribe').hide();
			}
		}
	});

	//  When user clicks on tab, this code will be executed
    $( document ).on( "click", ".nav-tab-wrapper a", function() {

        //  First remove class "active" from currently active tab
        $(".nav-tab-wrapper a").removeClass('nav-tab-active');
 
        //  Now add class "active" to the selected/clicked tab
        $(this).addClass("nav-tab-active");
 
        //  Hide all tab content
        $(".wpw-fp-tab-content").hide();
 
        //  Here we get the href value of the selected tab
        var selected_tab = $(this).attr("href");
 
        //  Show the selected tab content
        $(selected_tab).show();
        
        var selected = selected_tab.split('-');
        $(".wpw-fp-tab-content").removeClass('wpw-fp-selected-tab');
 		$( '#wpw_fp_selected_tab' ).val( selected[3] );
 
        //  At the end, we add return false so that the click on the link is not executed
        return false;
    });
    
    //call on click reset options button from settings page
	$( document ).on( "click", "#wpw_fp_reset_settings", function() {
		
		var ans;
		ans = confirm('Click OK to reset all options. All settings will be lost!');

		if(ans){
			return true;
		} else {
			return false;
		}
	});
	
	$( document ).on( "click", ".wpw-fp-delete", function() {
		
		var confirmdelete = confirm('Are you sure want to delete this ?');
		
		if( confirmdelete ) {
			return true;
		} else {
			return false;
		}
		
	});
	
	$( document ).on( "click", ".wpw_fp_overlay", function() {
		jQuery('.wpw_fp_indivisual_entries_data').hide();
		jQuery('.wpw_fp_overlay').fadeOut();
	});
	
	wpw_fp_chosen_select();
	
	//send test email from email settings
	$( document ).on( "click", ".wpw-fp-send-test-email", function() {
		
		$( '.wpw-fp-loader' ).show();
		var email_template = $('.wpw-fp-email-template').val();
		var data = {
						action	:	'wpw_fp_test_email',
						template:	email_template
					};
		$('.wpw-fp-send-email-msg').html('').hide();		
		$.post(ajaxurl,data,function(response) {

			$( '.wpw-fp-loader' ).hide();
			if( response == 'success' ) {
				$('.wpw-fp-send-email-msg').removeClass('wpw-fp-email-error').addClass('wpw-fp-email-success');
				$('.wpw-fp-send-email-msg').html( WpwFpSettings.testemailsuccess ).show();
				setTimeout(function(){
					$(".wpw-fp-send-email-msg").fadeOut("slow", function () {
					});
				}, 2000);
			} else {
				$('.wpw-fp-send-email-msg').removeClass('wpw-fp-email-success').addClass('wpw-fp-email-error');
				$('.wpw-fp-send-email-msg').html( WpwFpSettings.testemailerror ).show();
				setTimeout(function(){
					$(".wpw-fp-send-email-msg").fadeOut("slow", function () {
					});
				}, 2000);
			}
		});
	});
	
	// send email show hide post, terms, author onclick followed type
	$( document ).on( "change", ".followed_type", function() {
		
		var selected_followed_type = document.querySelector('input[name="followed_type"]:checked').value;

		if(selected_followed_type=="followed_post"){

			$( '#followed_type_post' ).val('');
			$( '#followed_type_post' ).trigger("chosen:updated");

			$( '#add_follower_type_post' ).val('');
			$( '#add_follower_type_post' ).trigger("chosen:updated");

			$('.followed_type_post').show();
			$('.wpw-fp-user-type-tr').hide(); 
			$('.wpw-fp-guest-user-tr').hide(); 
			$('.wpw-fp-users-tr').hide(); 
			$('.wpw-fp-save-tr').hide(); 
			$('.followed_type_terms').hide();
			$('.wpw-fp-term-slug-tr').hide();
			$('.followed_type_author').hide();
			$('.followed_terms').hide();
			$( '.wpw-fp-success-message' ).html(''); 
			$( '#followed_users' ).attr('checked', true); 
		}
		else if(selected_followed_type=="followed_terms"){

			$( '#followed_type_terms' ).val('');
            $( '#followed_type_terms' ).trigger("chosen:updated");

			$('.followed_type_post').hide();
			$('.wpw-fp-post-tr').hide();
			$('.wpw-fp-user-type-tr').hide(); 
			$('.wpw-fp-guest-user-tr').hide(); 
			$('.wpw-fp-users-tr').hide(); 
			$('.wpw-fp-save-tr').hide(); 

			$( '#add_follower_type_terms' ).val('');
            $( '#add_follower_type_terms' ).trigger("chosen:updated");

			$('.followed_type_terms').show();
			$('.followed_type_author').hide();		
			$( '.wpw-fp-success-message' ).html(''); 
			$( '#followed_users' ).attr('checked', true); 
		}
		else if(selected_followed_type=="followed_authors"){

			$( '#followed_type_author' ).val('');
            $( '#followed_type_author' ).trigger("chosen:updated");

			$('.followed_type_post').hide();
			$('.wpw-fp-post-tr').hide();
			$('.wpw-fp-user-type-tr').hide(); 
			$('.wpw-fp-guest-user-tr').hide(); 
			$('.wpw-fp-users-tr').hide(); 
			$('.wpw-fp-save-tr').hide(); 
			$('.wpw-fp-term-slug-tr').hide();
			$('.followed_type_terms').hide();

			$( '#followed_type_author' ).val('');
            $( '#followed_type_author' ).trigger("chosen:updated");

			$('.followed_type_author').show();
			$( '.wpw-fp-success-message' ).html(''); 
			$( '#followed_users' ).attr('checked', true); 
		}
	});
	
	// on submit form
	$( document ).on( 'submit', '#wpwfp_send_mail', function() {
		
		var selected_followed_type = $('input[name="followed_type"]:checked').val();

		var flag = 'false';
		if(selected_followed_type == 'followed_post'){
			if( $( '.followed_type_post' ).is( ':visible' ) ) {
					
					$( '.followed_type_post_error' ).html(' ').hide();
					$( '.followed_type_post' ).removeClass('wpw_fp_email_error');
					
					type_post = $( '#followed_type_post' ).val();

					if( type_post == '' ) { // Check subject is empty
						$( '.followed_type_post_error' ).html( 'Please select post type.' ).show();
						var flag = 'true';
					}
			}

			if( $( '.followed_type_post_name' ).is( ':visible' ) ) {
					
				$( '.followed_type_post_name_error' ).html(' ').hide();
				$( '.followed_type_post_name' ).removeClass('wpw_fp_email_error');
				
				type_post_name = $( '#followed_type_post_name' ).val();
				
				if( type_post_name == '' ) { // Check subject is empty
					$( '.followed_type_post_name_error' ).html( 'Please select post name.' ).show();
					var flag = 'true';
				}
			}
		}else if(selected_followed_type == 'followed_terms'){
			if( $( '.followed_type_terms' ).is( ':visible' ) ) {
					
					$( '.followed_type_terms_error' ).html('').hide();
					$( '.followed_type_terms' ).removeClass('wpw_fp_email_error');
					
					type_terms = $( '#followed_type_terms' ).val();
					
					if( type_terms == '' ) { // Check subject is empty
						$( '.followed_type_terms_error' ).html( 'Please select taxonomy.' ).show();
						var flag = 'true';
					}
			}
			if( $( '.wpw_fp_term_id' ).is( ':visible' ) ) {
					
				$( '.followed_type_term_id_error' ).html('').hide();
				$( '.wpw_fp_term_id' ).removeClass('wpw_fp_email_error');
				
				term_id = $( '#wpw_fp_term_id' ).val();
				
				if( term_id == '' ) { // Check subject is empty
					$( '.followed_type_term_id_error' ).html( 'Please select term.' ).show();
					var flag = 'true';
				}
			}
		}else if(selected_followed_type == 'followed_authors'){
			if( $( '.followed_type_author' ).is( ':visible' ) ) {
					
				$( '.followed_type_author_error' ).html('').hide();
				$( '.followed_type_author' ).removeClass('wpw_fp_email_error');
				
				type_authors = $( '#followed_type_author' ).val();
				
				if( type_authors == '' ) { // Check subject is empty
					$( '.followed_type_author_error' ).html( 'Please select author.' ).show();
					var flag = 'true';
				}
			}
		}
			
		if( $( '.followed_email_body' ).is( ':visible' ) ) {
			var editorContent = tinyMCE.get('followed_email_body').getContent();
			
			$( '.followed_email_body_error' ).html('').hide();
			$( '.followed_email_body' ).removeClass('wpw_fp_email_error');
			
			if( editorContent == '' ) { // Check subject is empty
				$( '.followed_email_body_error' ).html( 'Please enter email body.' ).show();
				var flag = 'true';
				
			}
		}

		if( flag == 'true' ){
			if( $(".post-box-container").length ){
				$("html, body").animate({ scrollTop: $(".post-box-container").offset().top }, 500);
			}
			
			return false;
			
		} else {
			
			$(".wpw-fp-send-email-submit").attr( 'disabled','disabled' );
			$(".wpw-fp-send-email-submit").val( "Processing..." );
			
		}
			
	});
	
	$( document ).on( "change", "#followed_type_post", function() {
	
		var post = $( this ).val();
		
		var posttype = $( '#followed_type_post option:selected' ).attr( 'data-posttype' );
		
		if( post != '' ) {
			
			// Show Loader
			$( '.wpw-fp-post-follow-loader' ).show();
			
			var data = { 
							action		:	'wpw_fp_post_name',
							posttype	:	posttype
						};
			
			jQuery.post( ajaxurl,data,function(response) {
				// Hide Loader
				$( '.wpw-fp-post-follow-loader' ).hide();
				
				$( '#followed_type_post_name' ).html( response ).trigger( 'chosen:updated' );
				
				$( '.wpw-fp-post-tr' ).show();
				
			});
		} else {
			$( '.wpw-fp-post-tr' ).hide();
		}
	});

	$( document ).on( "change", "#add_follower_type_post", function() {
	
		var post = $( this ).val();
		
		var posttype = $( '#add_follower_type_post option:selected' ).attr( 'data-posttype' );

		$( '.wpw-fp-success-message' ).html(''); 

		if( post != '' ) {
			
			// Show Loader
			$( '.wpw-fp-post-follow-loader' ).show();
			
			var data = { 
							action		:	'wpw_fp_get_posts',
							posttype	:	posttype
						};
			
			jQuery.post( ajaxurl,data,function(response) {
				// Hide Loader
				$( '.wpw-fp-post-follow-loader' ).hide();
				
				$( '#followed_type_post_name' ).html( response ).trigger( 'chosen:updated' );
				$( '.followed_guest_user_error' ).text('');
				$( '.wpw-fp-post-tr' ).show();
				
			});
		} else {
			$( '.wpw-fp-post-tr' ).hide();
			$( '.wpw-fp-user-type-tr' ).hide();
			$( '.wpw-fp-users-tr' ).hide();
			$( '.wpw-fp-guest-user-tr' ).hide();
		}
	});

	$( document ).on( "change", "input[name=followed_user_type]", function() {

		var user_type = $(this).val();

		$( '#followed_guest_user' ).val('');
		$( '.followed_guest_user_error' ).text('');

		if(user_type == '0') {
			$( '.wpw-fp-users-tr' ).show();
			$( '.wpw-fp-guest-user-tr' ).hide();
		} else {
			$( '.wpw-fp-users-tr' ).hide();
			$( '.wpw-fp-guest-user-tr' ).show();
		}

	});
	// Get User List for post
	$( document ).on( "change", "#followed_type_post_name", function() {

		$('.followed_guest_user_error').html('');
		$('.followed_type_post_name_error').html('');

		var user_type = $('input[name="followed_user_type"]:checked').val();

		var post = $( this ).val();
		
		var posttype = $( '#add_follower_type_post option:selected' ).attr( 'data-posttype' );

		if( post != '' ) {
			
			// Show Loader
			$( '.wpw-fp-post-name-loader' ).show();
			
			var data = { 
							action		:	'wpw_fp_get_users',
							post_id		:	post,
							posttype	:	posttype
						};
			
			jQuery.post( ajaxurl,data,function(response) {
				// Hide Loader
				$( '.wpw-fp-post-name-loader' ).hide();
				
				$( '.wpw-fp-user-type-tr' ).show();
				$( '#followed_by_users' ).html( response ).trigger( 'chosen:updated' );

				if(user_type == '0') {
					$( '.wpw-fp-users-tr' ).show();
					$( '.wpw-fp-guest-user-tr' ).hide();
				} else {
					$( '.wpw-fp-users-tr' ).hide();
					$( '.wpw-fp-guest-user-tr' ).show();
				}

				$( '.wpw-fp-save-tr' ).show();
				
			});
		} else {
			$( '.wpw-fp-users-tr' ).hide();
			$( '.wpw-fp-save-tr' ).hide();
			$( '.wpw-fp-guest-user-tr' ).hide();
			$( '.wpw-fp-user-type-tr' ).hide();
		}
	});

	// Get User List for terms
	$( document ).on( "change", "#wpw_fp_term_id", function() {

		$('.followed_guest_user_error').html('');
		$('.followed_type_post_name_error').html('');

		var user_type = $('input[name="followed_user_type"]:checked').val();

		var term = $( this ).val();
		
		var posttype = $( '#add_follower_type_terms option:selected' ).attr( 'data-posttype' );

		if( term != '' ) {
			
			// Show Loader
			$( '.wpw-fp-post-name-loader' ).show();
			
			var data = { 
							action		:	'wpw_fp_get_users',
							term_id		:	term,
							posttype	:	posttype
						};
			
			jQuery.post( ajaxurl,data,function(response) {
				// Hide Loader
				$( '.wpw-fp-post-name-loader' ).hide();

				$( '.wpw-fp-user-type-tr' ).show();
				$( '#followed_by_users' ).html( response ).trigger( 'chosen:updated' );

				if(user_type == '0') {
					$( '.wpw-fp-users-tr' ).show();
					$( '.wpw-fp-guest-user-tr' ).hide();
				} else {
					$( '.wpw-fp-users-tr' ).hide();
					$( '.wpw-fp-guest-user-tr' ).show();
				}

				$( '.wpw-fp-save-tr' ).show();
				
			});
		} else {
			$( '.wpw-fp-users-tr' ).hide();
			$( '.wpw-fp-save-tr' ).hide();
			$( '.wpw-fp-guest-user-tr' ).hide();
			$( '.wpw-fp-user-type-tr' ).hide();
		}
	});

	// Get User List for authors
	$( document ).on( "change", "#followed_type_author", function() {

		var author = $( this ).val();

		var user_type = $('input[name="followed_user_type"]:checked').val();

		$( '.wpw-fp-success-message' ).html(''); 

		if( author != '' ) {
			
			// Show Loader
			$( '.wpw-fp-post-name-loader' ).show();
			
			var data = { 
							action		:	'wpw_fp_get_users',
							author_id	:	author,
						};
			
			jQuery.post( ajaxurl,data,function(response) {
				// Hide Loader
				$( '.wpw-fp-post-name-loader' ).hide();

				$( '.wpw-fp-user-type-tr' ).show();
				$( '#followed_by_users' ).html( response ).trigger( 'chosen:updated' );

				$('.followed_guest_user_error').html('');

				if(user_type == '0') {
					$( '.wpw-fp-users-tr' ).show();
					$( '.wpw-fp-guest-user-tr' ).hide();
				} else {
					$( '.wpw-fp-users-tr' ).hide();
					$( '.wpw-fp-guest-user-tr' ).show();
				}

				$( '.wpw-fp-save-tr' ).show();
				
			});
		} else {
			$( '.wpw-fp-users-tr' ).hide();
			$( '.wpw-fp-save-tr' ).hide();
			$( '.wpw-fp-guest-user-tr' ).hide();
			$( '.wpw-fp-user-type-tr' ).hide();
		}
	});

	// Add or Save Follower
	$( document ).on( "click", "#wpw-fp-follow", function() {
	
		var user_type	 = $( 'input[name=followed_user_type]:checked' ).val();
		
		var e_error = 0;
		var p_error = 0;
		var t_error = 0;

		if(user_type == '1') {

			var email	 = $( '#followed_guest_user' ).val();
			var page	 = $( '#wpw-fp-current-page' ).val();

			if(email == '' || isEmail( email ) == false ) {
				$('.followed_guest_user_error').html('Please Enter Valid Email Address.');
				e_error = 1;
			} else {
				$('.followed_guest_user_error').html('');
				e_error = 0;
			}

		} else {
			
			var user_id	 = $( '#followed_by_users option:selected' ).val();
			var email	 = $( '#followed_by_users option:selected' ).attr( 'data-email' );
		}

		// post data
		var post		= $( '#followed_type_post_name option:selected' ).val();
		var type_post	= $( '#followed_post:checked' ).val();

		// term data
		var term_id		= $( '#wpw_fp_term_id option:selected' ).val();
		var type_term	= $( '#followed_terms:checked' ).val();

		// author data
		var author_id	= $( '#followed_type_author option:selected' ).val();
		var type_author	= $( '#followed_authors:checked' ).val();

		if( post == '' && type_post != undefined ) { 
			$('.followed_type_post_name_error').html('Please select post name.'); 
			p_error = 1; 
		} else { 
			$('.followed_type_post_name_error').html('');
			p_error = 0; 
		}

		if( term_id == '' && type_term != undefined ) { 
			$('.followed_type_term_id_error').html('Please select term name.'); 
			t_error = 1; 
		} else { 
			$('.followed_type_term_id_error').html('');
			t_error = 0; 
		}

		if(e_error == 1 || p_error == 1 || t_error == 1) return false;

		if( post != '' && post != undefined && type_post != undefined ) {

			var posttype = $( '#add_follower_type_post option:selected' ).attr( 'data-posttype' );

			var data = { 
				action			:	'wpw_fp_save',
				postid			:	post,
				currentpostid	:	post,
				status			:	'1',
				user_id			:	user_id,
				page			:	page,
				email			:	email,
				posttype		:	posttype
			};
		}

		else if( term_id != '' && term_id != undefined && type_term != undefined ) {

			var posttype		= $( '#add_follower_type_terms option:selected' ).attr( 'data-posttype' );
			var taxonomyslug	= $( '#add_follower_type_terms option:selected' ).val();

			var data = { 
				action			:	'wpw_fp_save',
				termid			:	term_id,
				taxonomyslug	:	taxonomyslug,
				status			:	'1',
				user_id			:	user_id,
				page			:	page,
				email			:	email,
				posttype		:	posttype
			};
		}

		else if( author_id != '' && author_id != undefined && type_author != undefined ) {

			var data = { 
				action			:	'wpw_fp_save',
				authorid		:	author_id,
				status			:	'1',
				user_id			:	user_id,
				email			:	email,
				page			:	page,
			};
		}

		if( post != '' || term_id != '' || author_id != '' ) {

			// Show Loader
			$( '.wpw-fp-save-loader' ).show();
			$( '#wpw-fp-follow' ).attr('disabled', true);

			jQuery.post( ajaxurl,data,function(response) {
				// Hide Loader
				$( '.wpw-fp-save-loader' ).hide();

				if(response != '') {
					if(isNaN(response))
						$( '.wpw-fp-success-message' ).html( response );
					else
						$( '.wpw-fp-success-message' ).html( "Follower added successfully." );
				}

				$( '#followed_users' ).attr( 'checked', true );

				$( '.wpw-fp-post-tr' ).hide();
				$( '.wpw-fp-term-slug-tr' ).hide();
				$( '.wpw-fp-user-type-tr' ).hide();
				$( '.wpw-fp-users-tr' ).hide();
				$( '.wpw-fp-guest-user-tr' ).hide();
				$( '.wpw-fp-save-tr' ).hide();
				$( '#wpw-fp-follow' ).removeAttr('disabled');

                $( '#add_follower_type_post' ).val('');
                $( '#add_follower_type_post' ).trigger("chosen:updated");

                $( '#add_follower_type_terms' ).val('');
                $( '#add_follower_type_terms' ).trigger("chosen:updated");

                $( '#followed_type_author' ).val('');
                $( '#followed_type_author' ).trigger("chosen:updated");
			});
		} else {
			$( '.wpw-fp-users-tr' ).hide();
			$( '.wpw-fp-save-tr' ).hide();
			$( '.wpw-fp-guest-user-tr' ).hide();
			$( '.wpw-fp-user-type-tr' ).hide();
		}
	});

	$( document ).on( "change", "#followed_type_terms", function() {
	
		var taxonomy = $( this ).val();
		var posttype = $( '#followed_type_terms option:selected' ).attr( 'data-posttype' );
		
		if( taxonomy != '' ) {
			
			// Show Loader
			$( '.wpw-fp-term-follow-loader' ).show();
			
			var data = { 
							action		:	'wpw_fp_custom_terms',
							posttype	:	posttype,
							taxonomy	:	taxonomy
						};
			
			jQuery.post( ajaxurl,data,function(response) {
				
				// Hide Loader
				$( '.wpw-fp-term-follow-loader' ).hide();
				
				$( '#wpw_fp_term_id' ).html( response ).trigger( 'chosen:updated' );
				
				$( '.wpw-fp-term-slug-tr' ).show();
				
			});
		} else {
			$( '.wpw-fp-term-slug-tr' ).hide();
		}
	});

	$( document ).on( "change", "#add_follower_type_terms", function() {
	
		var taxonomy = $( this ).val();
		var posttype = $( '#add_follower_type_terms option:selected' ).attr( 'data-posttype' );

		$( '.wpw-fp-success-message' ).html(''); 

		if( taxonomy != '' ) {
			
			// Show Loader
			$( '.wpw-fp-term-follow-loader' ).show();
			
			var data = { 
							action		:	'wpw_fp_get_terms',
							posttype	:	posttype,
							taxonomy	:	taxonomy
						};
			
			jQuery.post( ajaxurl,data,function(response) {
				
				// Hide Loader
				$( '.wpw-fp-term-follow-loader' ).hide();
				
				$( '#wpw_fp_term_id' ).html( response ).trigger( 'chosen:updated' );
				$( '.followed_guest_user_error' ).html('');
				
				$( '.wpw-fp-term-slug-tr' ).show();
				
			});
		} else {
			$( '.wpw-fp-term-slug-tr' ).hide();
			$( '.wpw-fp-user-type-tr' ).hide();
			$( '.wpw-fp-users-tr' ).hide();
			$( '.wpw-fp-guest-user-tr' ).hide();
		}
	});

	// Reset radio buttons
	$( '#followed_post' ).attr( 'checked', true );
	$( '#followed_users' ).attr( 'checked', true );

	$( '#add_follower_type_post' ).val('');
    $( '#add_follower_type_post' ).trigger("chosen:updated");
});


function isEmail( email ) {
  var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
  return regex.test( email );
}