<?php

/**
 * Author Followers Listing
 * 
 * Template for Author Followerss Listing
 * 
 * Override this template by copying it to
 * yourtheme/follow-my-blog-post/author-followers/author-followers-listing.php
 * 
 * @package Follow My Blog Post
 * @since 1.8.5
 **/

global $wpw_fp_model, $wpw_fp_options;

//model class
$model = $wpw_fp_model;

$prefix = WPW_FP_META_PREFIX;

$page = isset( $_POST['paging'] ) ? $_POST['paging'] : '1';
?>
<h3><?php esc_html_e( 'Author Followers', 'wpwfp' ); ?></h3>
<div class="wpw-fp-clear"></div>
<table class="wpw-fp-follow-author-table">
	<thead>
		<tr class="wpw-fp-follow-author-row-head">
				<?php 
					//do action to add header title of followers list before
					do_action('wpw_fp_author_followers_header_before');
				?>
				<th class="wpw-fp-picture" width="10%"><?php esc_html_e( 'Picture','wpwfp' );?></th>
				<th width="35%"><?php esc_html_e( 'Author Name','wpwfp' );?></th>
				<th width="30%"><?php esc_html_e( 'Followed Date','wpwfp' );?></th>
				<?php 
					//do action to add header title of followers list after
					do_action('wpw_fp_author_followers_header_after');
				?>
		</tr>
	</thead>
	
	<tbody>
	<?php
		foreach ( $followers as $follower ) {
			
			$authorid = isset( $follower['post_author'] ) && !empty( $follower['post_author'] ) ? $follower['post_author'] : '';

			// get user email from meta field
			if( ! empty( $authorid ) ) {

				// Get Author Followers Name
				$author_data 	= get_user_by( 'id', $authorid);
    			$author_email 	= isset( $author_data->data->user_email ) ? $author_data->data->user_email : '';
    			$author_name 	= isset( $author_data->data->display_name ) ? $author_data->data->display_name : '';
    			$disp_author_name = apply_filters( 'wpw_fp_change_author_name',  $model->wpw_fp_short_content( $author_name ), $authorid );

    		} else {
				$author_email = get_post_meta( $follower['ID'], $prefix.'author_user_email', true );
				$disp_author_name = $author_email . esc_html__(' ( guest )', 'wpwfp' );
    		}

			// Get Follow Date
			$followdate = $model->wpw_fp_get_date_format( $follower['post_date'] );
			?>
			<tr class="wpw-fp-follow-author-row-body">
				<?php 
					//do action to add row for followers list before
					do_action( 'wpw_fp_author_followers_row_before', $follower['ID'] ); 
				?>
				<td class="wpw-fp-picture">
					<img src="<?php echo esc_url(apply_filters( 'wpw_fp_author_follower_avatar', get_avatar_url( $author_email, 32 ), $author_email )); ?>" alt="Profile Photo" width="32">
				</td>
				<td><?php echo $disp_author_name; ?></td>
				<td><?php echo $followdate;?></td>
				<?php 
					//do action to add row for followers list after
					do_action( 'wpw_fp_author_followers_row_after', $follower['ID'] ); 
				?>
			</tr>
		<?php
		} ?>
	</tbody>
	<tfoot>
		<tr class="wpw-fp-follow-author-row-foot">
			<?php 
				//do action to add row in footer before
				do_action('wpw_fp_author_followers_footer_before');
			?>
			<th class="wpw-fp-picture"><?php esc_html_e( 'Picture','wpwfp' );?></th>
			<th><?php esc_html_e( 'Author Name','wpwfp' );?></th>
			<th><?php esc_html_e( 'Followed Date','wpwfp' );?></th>
			<?php 
				//do action to add row in footer after
				do_action('wpw_fp_author_followers_footer_after');
			?>
		</tr>
	</tfoot>
</table>

<div class="wpw-fp-paging wpw-fp-follow-authors-paging">
	<div id="wpw-fp-tablenav-pages" class="wpw-fp-tablenav-pages">
		<?php echo $paging->getOutput(); ?>
	</div><!--.wpw-fp-tablenav-pages-->
</div><!--.wpw-fp-paging-->
<div class="wpw-fp-follow-loader wpw-fp-follow-authors-loader">
	<img src="<?php echo esc_url(WPW_FP_IMG_URL);?>/loader.gif"/>
</div><!--.wpw-fp-sales-loader-->